import {
    Column,
    Entity,
    PrimaryGeneratedColumn,
    BaseEntity,
    OneToOne,
    CreateDateColumn,
  } from 'typeorm';
import { User } from './User';
  
  interface IPasswordRecovery{
    user: User;
    token: string;
    enabled:boolean;
    createdAt:Date;
  }

  @Entity({name: 'PasswordRecovery'})
  export class PasswordRecovery extends BaseEntity implements IPasswordRecovery{
    @PrimaryGeneratedColumn('uuid')
    id!: string;

    @CreateDateColumn({ name: 'created_at', type: Date, default: new Date() })
    createdAt!: Date;

    @Column({ name: 'token', type:'string', nullable:false})
    token!: string;

    @OneToOne(()=>User, (user:{passwordRecovery:PasswordRecovery})=>user.passwordRecovery)
    user!:User;

    @Column({ name: 'enabled', type:'boolean', default:false})
    enabled!: boolean;

  }